org.apache.cassandra.cql

## Class SelectStatement

- java.lang.Object
- - org.apache.cassandra.cql.SelectStatement

    public class SelectStatement
    extends java.lang.Object

Encapsulates a completely parsed SELECT query, including the target column family, expression, result count, and ordering clause.

### Constructor Summary

Constructors
Constructor and Description
`SelectStatement(SelectExpression expression, boolean isCountOper, java.lang.String keyspace, java.lang.String columnFamily, ConsistencyLevel cLevel, WhereClause clause, int numRecords)`

### Method Summary

Methods
`void` `extractKeyAliasFromColumns(CFMetaData cfm)`
`java.util.List<Relation>` `getClauseRelations()`
`java.lang.String` `getColumnFamily()`
`Term` `getColumnFinish()`
`java.util.List<Term>` `getColumnNames()`
`java.util.List<Relation>` `getColumnRelations()`
`int` `getColumnsLimit()`
`Term` `getColumnStart()`
`ConsistencyLevel` `getConsistencyLevel()`
`java.lang.String` `getKeyAlias()`
`Term` `getKeyFinish()`
`java.util.Set<Term>` `getKeys()`
`java.lang.String` `getKeyspace()`
`Term` `getKeyStart()`
`int` `getNumRecords()`
`boolean` `includeFinishKey()`
`boolean` `includeStartKey()`
`boolean` `isColumnRange()`
`boolean` `isColumnsReversed()`
`boolean` `isCountOperation()`
`boolean` `isFullWildcard()`
`boolean` `isKeyRange()`
`boolean` `isMultiKey()`
`boolean` `isSetKeyspace()`
`boolean` `isWildcard()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SelectStatement

    public SelectStatement(SelectExpression expression,
                   boolean isCountOper,
                   java.lang.String keyspace,
                   java.lang.String columnFamily,
                   ConsistencyLevel cLevel,
                   WhereClause clause,
                   int numRecords)

### Method Detail

#### isKeyRange

    public boolean isKeyRange()

#### getKeys

    public java.util.Set<Term> getKeys()

#### getKeyStart

    public Term getKeyStart()

#### getKeyFinish

    public Term getKeyFinish()

#### getColumnRelations

    public java.util.List<Relation> getColumnRelations()

#### isColumnRange

    public boolean isColumnRange()

#### isWildcard

    public boolean isWildcard()

#### isFullWildcard

    public boolean isFullWildcard()

#### getColumnNames

    public java.util.List<Term> getColumnNames()

#### getColumnStart

    public Term getColumnStart()

#### getColumnFinish

    public Term getColumnFinish()

#### isSetKeyspace

    public boolean isSetKeyspace()

#### getKeyspace

    public java.lang.String getKeyspace()

#### getColumnFamily

    public java.lang.String getColumnFamily()

#### isColumnsReversed

    public boolean isColumnsReversed()

#### getConsistencyLevel

    public ConsistencyLevel getConsistencyLevel()

#### getNumRecords

    public int getNumRecords()

#### getColumnsLimit

    public int getColumnsLimit()

#### isCountOperation

    public boolean isCountOperation()

#### includeStartKey

    public boolean includeStartKey()

#### includeFinishKey

    public boolean includeFinishKey()

#### getKeyAlias

    public java.lang.String getKeyAlias()

#### isMultiKey

    public boolean isMultiKey()

#### extractKeyAliasFromColumns

    public void extractKeyAliasFromColumns(CFMetaData cfm)

#### getClauseRelations

    public java.util.List<Relation> getClauseRelations()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`